#############################################################################
# Makefile for building: svistereolab
# Generated by qmake (2.01a) (Qt 4.5.2) on: ?? 10. ??? 15:18:58 2009
# Project:  svistereolab.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT -DQT_NEEDS_QMAIN
CFLAGS        = -g -Wall $(DEFINES)
CXXFLAGS      = -g -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"c:\Qt\2009.03\qt\include\QtCore" -I"c:\Qt\2009.03\qt\include\QtGui" -I"c:\Qt\2009.03\qt\include\QtOpenGL" -I"c:\Qt\2009.03\qt\include" -I"src" -I"src\fileformats" -I"src\test" -I"src\core" -I"src\core\buffers" -I"src\core\math" -I"src\core\utils" -I".\src\opengl" -I".\src\sdl" -I".\src\sdl\graphics" -I"src\qt4" -I"src\qt4\stereo" -I"src\qt4\utils" -I"c:\Qt\2009.03\qt\include\ActiveQt" -I"debug" -I"." -I"c:\Qt\2009.03\qt\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -mthreads -Wl -Wl,-subsystem,windows
LIBS        =        -L"c:\Qt\2009.03\qt\lib" -lopengl32 -lglu32 -lgdi32 -luser32 -lmingw32 -lqtmaind ./libip_lib.a -lQtOpenGLd4 -lQtGuid4 -lQtCored4
QMAKE         = c:\Qt\2009.03\qt\bin\qmake.exe
IDC           = c:\Qt\2009.03\qt\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = debug

####### Files

SOURCES       = src\qt4\viareawidget.cpp \
		src\qt4\G12Image.cpp \
		src\qt4\stereo\cloudviewdialog.cpp \
		src\qt4\stereo\estimatewidget.cpp \
		src\qt4\stereo\main_qt_stereolab.cpp \
		src\qt4\stereo\matcherdialog.cpp \
		src\qt4\stereo\rectifydialog.cpp \
		src\qt4\stereo\sgmdialog.cpp \
		src\qt4\stereo\stereolab.cpp \
		src\qt4\stereo\viglarea.cpp \
		src\qt4\utils\matrixwidget.cpp \
		src\fileformats\st_raw.c \
		src\fileformats\ppm.c \
		src\core\cycle.c \
		src\core\buffers\flow.c \
		src\core\buffers\integral.c \
		src\core\buffers\disparity.c \
		src\core\buffers\dirgrad.c \
		src\core\buffers\g12buffer.c \
		src\core\buffers\histogram.c \
		src\core\buffers\cornermarker.c \
		src\core\buffers\segmentation.c \
		src\core\rectification.c \
		src\core\math\algebra.c \
		src\core\math\matrix.c \
		src\core\math\svd.c \
		src\core\math\levmar.c \
		src\core\math\geometry.c \
		src\core\math\projective.c \
		src\core\math\linlse.c \
		src\core\utils\properties.c \
		src\core\utils\datatypes.c \
		src\core\utils\parameters.c \
		src\core\utils\loadimage.c \
		src\core\sgm.c \
		src\core\align_nonlinear.c debug\moc_cloudviewdialog.cpp \
		debug\moc_estimatewidget.cpp \
		debug\moc_matcherdialog.cpp \
		debug\moc_rectifydialog.cpp \
		debug\moc_sgmdialog.cpp \
		debug\moc_stereolab.cpp \
		debug\moc_viglarea.cpp \
		debug\moc_viareawidget.cpp \
		debug\moc_matrixwidget.cpp \
		debug\qrc_main.cpp
OBJECTS       = debug/viareawidget.o \
		debug/G12Image.o \
		debug/cloudviewdialog.o \
		debug/estimatewidget.o \
		debug/main_qt_stereolab.o \
		debug/matcherdialog.o \
		debug/rectifydialog.o \
		debug/sgmdialog.o \
		debug/stereolab.o \
		debug/viglarea.o \
		debug/matrixwidget.o \
		debug/st_raw.o \
		debug/ppm.o \
		debug/cycle.o \
		debug/flow.o \
		debug/integral.o \
		debug/disparity.o \
		debug/dirgrad.o \
		debug/g12buffer.o \
		debug/histogram.o \
		debug/cornermarker.o \
		debug/segmentation.o \
		debug/rectification.o \
		debug/algebra.o \
		debug/matrix.o \
		debug/svd.o \
		debug/levmar.o \
		debug/geometry.o \
		debug/projective.o \
		debug/linlse.o \
		debug/properties.o \
		debug/datatypes.o \
		debug/parameters.o \
		debug/loadimage.o \
		debug/sgm.o \
		debug/align_nonlinear.o \
		debug/moc_cloudviewdialog.o \
		debug/moc_estimatewidget.o \
		debug/moc_matcherdialog.o \
		debug/moc_rectifydialog.o \
		debug/moc_sgmdialog.o \
		debug/moc_stereolab.o \
		debug/moc_viglarea.o \
		debug/moc_viareawidget.o \
		debug/moc_matrixwidget.o \
		debug/qrc_main.o
DIST          = 
QMAKE_TARGET  = svistereolab
DESTDIR        = debug\ #avoid trailing-slash linebreak
TARGET         = svistereolab.exe
DESTDIR_TARGET = debug\svistereolab.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Debug  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui_histogramdialog.h ui_viareawidget.h ui_cloudviewdialog.h ui_estimatewidget.h ui_matcherdialog.h ui_rectifydialog.h ui_sgmdialog.h ui_stereolab.h ui_viglarea.h ui_matrixwidget.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) object_script.svistereolab.Debug  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -spec c:\Qt\2009.03\qt\mkspecs\win32-g++ -win32 -o Makefile.Debug svistereolab.pro

dist:
	$(ZIP) svistereolab.zip $(SOURCES) $(DIST) svistereolab.pro c:\Qt\2009.03\qt\mkspecs\qconfig.pri c:\Qt\2009.03\qt\mkspecs\features\qt_functions.prf c:\Qt\2009.03\qt\mkspecs\features\qt_config.prf c:\Qt\2009.03\qt\mkspecs\features\exclusive_builds.prf c:\Qt\2009.03\qt\mkspecs\features\default_pre.prf c:\Qt\2009.03\qt\mkspecs\features\win32\default_pre.prf c:\Qt\2009.03\qt\mkspecs\features\debug.prf c:\Qt\2009.03\qt\mkspecs\features\debug_and_release.prf c:\Qt\2009.03\qt\mkspecs\features\default_post.prf c:\Qt\2009.03\qt\mkspecs\features\win32\default_post.prf c:\Qt\2009.03\qt\mkspecs\features\build_pass.prf c:\Qt\2009.03\qt\mkspecs\features\win32\rtti.prf c:\Qt\2009.03\qt\mkspecs\features\win32\exceptions.prf c:\Qt\2009.03\qt\mkspecs\features\win32\stl.prf c:\Qt\2009.03\qt\mkspecs\features\shared.prf c:\Qt\2009.03\qt\mkspecs\features\warn_on.prf c:\Qt\2009.03\qt\mkspecs\features\qt.prf c:\Qt\2009.03\qt\mkspecs\features\win32\opengl.prf c:\Qt\2009.03\qt\mkspecs\features\win32\thread.prf c:\Qt\2009.03\qt\mkspecs\features\moc.prf c:\Qt\2009.03\qt\mkspecs\features\win32\windows.prf c:\Qt\2009.03\qt\mkspecs\features\resources.prf c:\Qt\2009.03\qt\mkspecs\features\uic.prf c:\Qt\2009.03\qt\mkspecs\features\yacc.prf c:\Qt\2009.03\qt\mkspecs\features\lex.prf c:\Qt\2009.03\qt\mkspecs\features\include_source_dir.prf c:\Qt\2009.03\qt\lib\qtmaind.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) debug\viareawidget.o debug\G12Image.o debug\cloudviewdialog.o debug\estimatewidget.o debug\main_qt_stereolab.o debug\matcherdialog.o debug\rectifydialog.o debug\sgmdialog.o debug\stereolab.o debug\viglarea.o debug\matrixwidget.o debug\st_raw.o debug\ppm.o debug\cycle.o debug\flow.o debug\integral.o debug\disparity.o debug\dirgrad.o debug\g12buffer.o debug\histogram.o debug\cornermarker.o debug\segmentation.o debug\rectification.o debug\algebra.o debug\matrix.o debug\svd.o debug\levmar.o debug\geometry.o debug\projective.o debug\linlse.o debug\properties.o debug\datatypes.o debug\parameters.o debug\loadimage.o debug\sgm.o debug\align_nonlinear.o debug\moc_cloudviewdialog.o debug\moc_estimatewidget.o debug\moc_matcherdialog.o debug\moc_rectifydialog.o debug\moc_sgmdialog.o debug\moc_stereolab.o debug\moc_viglarea.o debug\moc_viareawidget.o debug\moc_matrixwidget.o debug\qrc_main.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Debug

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: debug/moc_cloudviewdialog.cpp debug/moc_estimatewidget.cpp debug/moc_matcherdialog.cpp debug/moc_rectifydialog.cpp debug/moc_sgmdialog.cpp debug/moc_stereolab.cpp debug/moc_viglarea.cpp debug/moc_viareawidget.cpp debug/moc_matrixwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) debug\moc_cloudviewdialog.cpp debug\moc_estimatewidget.cpp debug\moc_matcherdialog.cpp debug\moc_rectifydialog.cpp debug\moc_sgmdialog.cpp debug\moc_stereolab.cpp debug\moc_viglarea.cpp debug\moc_viareawidget.cpp debug\moc_matrixwidget.cpp
debug/moc_cloudviewdialog.cpp: ui_cloudviewdialog.h \
		src/qt4/stereo/cloudviewdialog.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\cloudviewdialog.h -o debug\moc_cloudviewdialog.cpp

debug/moc_estimatewidget.cpp: ui_estimatewidget.h \
		src/qt4/stereo/estimatewidget.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\estimatewidget.h -o debug\moc_estimatewidget.cpp

debug/moc_matcherdialog.cpp: ui_matcherdialog.h \
		src/qt4/stereo/matcherdialog.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\matcherdialog.h -o debug\moc_matcherdialog.cpp

debug/moc_rectifydialog.cpp: ui_rectifydialog.h \
		src/qt4/stereo/rectifydialog.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\rectifydialog.h -o debug\moc_rectifydialog.cpp

debug/moc_sgmdialog.cpp: ui_sgmdialog.h \
		src/qt4/stereo/sgmdialog.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\sgmdialog.h -o debug\moc_sgmdialog.cpp

debug/moc_stereolab.cpp: ui_stereolab.h \
		src/qt4/stereo/cloudviewdialog.h \
		ui_cloudviewdialog.h \
		src/qt4/stereo/matcherdialog.h \
		ui_matcherdialog.h \
		src/qt4/stereo/rectifydialog.h \
		ui_rectifydialog.h \
		src/qt4/stereo/sgmdialog.h \
		ui_sgmdialog.h \
		src/qt4/stereo/stereolab.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\stereolab.h -o debug\moc_stereolab.cpp

debug/moc_viglarea.cpp: ui_viglarea.h \
		src/qt4/stereo/viglarea.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\stereo\viglarea.h -o debug\moc_viglarea.cpp

debug/moc_viareawidget.cpp: ui_viareawidget.h \
		src/qt4/viareawidget.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\viareawidget.h -o debug\moc_viareawidget.cpp

debug/moc_matrixwidget.cpp: ui_matrixwidget.h \
		src/qt4/utils/matrixwidget.h
	C:/Qt/2009.03/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 src\qt4\utils\matrixwidget.h -o debug\moc_matrixwidget.cpp

compiler_rcc_make_all: debug/qrc_main.cpp
compiler_rcc_clean:
	-$(DEL_FILE) debug\qrc_main.cpp
debug/qrc_main.cpp: resources/main.qrc \
		resources/down_alt.png \
		resources/lock.png \
		resources/up_alt.png \
		resources/unlock.png \
		resources/folder-grey-open-24x24.png \
		resources/forward_alt.png \
		resources/zoom_out.png \
		resources/back_alt.png \
		resources/zoom_in.png
	c:\Qt\2009.03\qt\bin\rcc.exe -name main resources\main.qrc -o debug\qrc_main.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_histogramdialog.h ui_viareawidget.h ui_cloudviewdialog.h ui_estimatewidget.h ui_matcherdialog.h ui_rectifydialog.h ui_sgmdialog.h ui_stereolab.h ui_viglarea.h ui_matrixwidget.h
compiler_uic_clean:
	-$(DEL_FILE) ui_histogramdialog.h ui_viareawidget.h ui_cloudviewdialog.h ui_estimatewidget.h ui_matcherdialog.h ui_rectifydialog.h ui_sgmdialog.h ui_stereolab.h ui_viglarea.h ui_matrixwidget.h
ui_histogramdialog.h: src/qt4/histogramdialog.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\histogramdialog.ui -o ui_histogramdialog.h

ui_viareawidget.h: src/qt4/viareawidget.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\viareawidget.ui -o ui_viareawidget.h

ui_cloudviewdialog.h: src/qt4/stereo/cloudviewdialog.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\cloudviewdialog.ui -o ui_cloudviewdialog.h

ui_estimatewidget.h: src/qt4/stereo/estimatewidget.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\estimatewidget.ui -o ui_estimatewidget.h

ui_matcherdialog.h: src/qt4/stereo/matcherdialog.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\matcherdialog.ui -o ui_matcherdialog.h

ui_rectifydialog.h: src/qt4/stereo/rectifydialog.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\rectifydialog.ui -o ui_rectifydialog.h

ui_sgmdialog.h: src/qt4/stereo/sgmdialog.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\sgmdialog.ui -o ui_sgmdialog.h

ui_stereolab.h: src/qt4/stereo/stereolab.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\stereolab.ui -o ui_stereolab.h

ui_viglarea.h: src/qt4/stereo/viglarea.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\stereo\viglarea.ui -o ui_viglarea.h

ui_matrixwidget.h: src/qt4/utils/matrixwidget.ui
	c:\Qt\2009.03\qt\bin\uic.exe src\qt4\utils\matrixwidget.ui -o ui_matrixwidget.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 



####### Compile

debug/viareawidget.o: src/qt4/viareawidget.cpp src/qt4/viareawidget.h \
		ui_viareawidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\viareawidget.o src\qt4\viareawidget.cpp

debug/G12Image.o: src/qt4/G12Image.cpp src/qt4/g12Image.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\G12Image.o src\qt4\G12Image.cpp

debug/cloudviewdialog.o: src/qt4/stereo/cloudviewdialog.cpp src/qt4/stereo/cloudviewdialog.h \
		ui_cloudviewdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\cloudviewdialog.o src\qt4\stereo\cloudviewdialog.cpp

debug/estimatewidget.o: src/qt4/stereo/estimatewidget.cpp src/qt4/stereo/estimatewidget.h \
		ui_estimatewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\estimatewidget.o src\qt4\stereo\estimatewidget.cpp

debug/main_qt_stereolab.o: src/qt4/stereo/main_qt_stereolab.cpp src/qt4/stereo/stereolab.h \
		ui_stereolab.h \
		src/qt4/stereo/cloudviewdialog.h \
		ui_cloudviewdialog.h \
		src/qt4/stereo/matcherdialog.h \
		ui_matcherdialog.h \
		src/qt4/stereo/rectifydialog.h \
		ui_rectifydialog.h \
		src/qt4/stereo/sgmdialog.h \
		ui_sgmdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\main_qt_stereolab.o src\qt4\stereo\main_qt_stereolab.cpp

debug/matcherdialog.o: src/qt4/stereo/matcherdialog.cpp src/qt4/stereo/matcherdialog.h \
		ui_matcherdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\matcherdialog.o src\qt4\stereo\matcherdialog.cpp

debug/rectifydialog.o: src/qt4/stereo/rectifydialog.cpp src/qt4/stereo/rectifydialog.h \
		ui_rectifydialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\rectifydialog.o src\qt4\stereo\rectifydialog.cpp

debug/sgmdialog.o: src/qt4/stereo/sgmdialog.cpp src/qt4/stereo/sgmdialog.h \
		ui_sgmdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\sgmdialog.o src\qt4\stereo\sgmdialog.cpp

debug/stereolab.o: src/qt4/stereo/stereolab.cpp src/qt4/stereo/stereolab.h \
		ui_stereolab.h \
		src/qt4/stereo/cloudviewdialog.h \
		ui_cloudviewdialog.h \
		src/qt4/stereo/matcherdialog.h \
		ui_matcherdialog.h \
		src/qt4/stereo/rectifydialog.h \
		ui_rectifydialog.h \
		src/qt4/stereo/sgmdialog.h \
		ui_sgmdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\stereolab.o src\qt4\stereo\stereolab.cpp

debug/viglarea.o: src/qt4/stereo/viglarea.cpp src/qt4/stereo/viglarea.h \
		ui_viglarea.h \
		src/qt4/stereo/cloudviewdialog.h \
		ui_cloudviewdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\viglarea.o src\qt4\stereo\viglarea.cpp

debug/matrixwidget.o: src/qt4/utils/matrixwidget.cpp src/qt4/utils/matrixwidget.h \
		ui_matrixwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\matrixwidget.o src\qt4\utils\matrixwidget.cpp

debug/st_raw.o: src/fileformats/st_raw.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\st_raw.o src\fileformats\st_raw.c

debug/ppm.o: src/fileformats/ppm.c src/fileformats/ppm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\ppm.o src\fileformats\ppm.c

debug/cycle.o: src/core/cycle.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\cycle.o src\core\cycle.c

debug/flow.o: src/core/buffers/flow.c src/core/buffers/flow.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\flow.o src\core\buffers\flow.c

debug/integral.o: src/core/buffers/integral.c src/core/buffers/g12buffer.h \
		src/core/buffers/integral.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\integral.o src\core\buffers\integral.c

debug/disparity.o: src/core/buffers/disparity.c src/core/buffers/disparity.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\disparity.o src\core\buffers\disparity.c

debug/dirgrad.o: src/core/buffers/dirgrad.c src/core/buffers/dirgrad.h \
		src/core/buffers/g12buffer.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\dirgrad.o src\core\buffers\dirgrad.c

debug/g12buffer.o: src/core/buffers/g12buffer.c src/core/buffers/g12buffer.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\g12buffer.o src\core\buffers\g12buffer.c

debug/histogram.o: src/core/buffers/histogram.c src/core/buffers/histogram.h \
		src/core/buffers/g12buffer.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\histogram.o src\core\buffers\histogram.c

debug/cornermarker.o: src/core/buffers/cornermarker.c src/core/buffers/g12buffer.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\cornermarker.o src\core\buffers\cornermarker.c

debug/segmentation.o: src/core/buffers/segmentation.c src/core/buffers/g12buffer.h \
		src/core/buffers/segmentation.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\segmentation.o src\core\buffers\segmentation.c

debug/rectification.o: src/core/rectification.c src/core/rectification.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\rectification.o src\core\rectification.c

debug/algebra.o: src/core/math/algebra.c src/core/math/algebra.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\algebra.o src\core\math\algebra.c

debug/matrix.o: src/core/math/matrix.c src/core/math/matrix.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\matrix.o src\core\math\matrix.c

debug/svd.o: src/core/math/svd.c src/core/math/algebra.h \
		src/core/math/svd.h \
		src/core/math/matrix.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\svd.o src\core\math\svd.c

debug/levmar.o: src/core/math/levmar.c src/core/math/matrix.h \
		src/core/math/levmar.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\levmar.o src\core\math\levmar.c

debug/geometry.o: src/core/math/geometry.c src/core/math/geometry.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\geometry.o src\core\math\geometry.c

debug/projective.o: src/core/math/projective.c src/core/math/matrix.h \
		src/core/math/projective.h \
		src/core/math/geometry.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\projective.o src\core\math\projective.c

debug/linlse.o: src/core/math/linlse.c src/core/math/linlse.h \
		src/core/math/matrix.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\linlse.o src\core\math\linlse.c

debug/properties.o: src/core/utils/properties.c src/core/utils/properties.h \
		src/core/utils/global.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\properties.o src\core\utils\properties.c

debug/datatypes.o: src/core/utils/datatypes.c src/core/utils/global.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\datatypes.o src\core\utils\datatypes.c

debug/parameters.o: src/core/utils/parameters.c src/core/utils/global.h \
		src/core/utils/parameters.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\parameters.o src\core\utils\parameters.c

debug/loadimage.o: src/core/utils/loadimage.c src/core/utils/loadimage.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\loadimage.o src\core\utils\loadimage.c

debug/sgm.o: src/core/sgm.c src/core/sgm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\sgm.o src\core\sgm.c

debug/align_nonlinear.o: src/core/align_nonlinear.c src/core/align_nonlinear.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o debug\align_nonlinear.o src\core\align_nonlinear.c

debug/moc_cloudviewdialog.o: debug/moc_cloudviewdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_cloudviewdialog.o debug\moc_cloudviewdialog.cpp

debug/moc_estimatewidget.o: debug/moc_estimatewidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_estimatewidget.o debug\moc_estimatewidget.cpp

debug/moc_matcherdialog.o: debug/moc_matcherdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_matcherdialog.o debug\moc_matcherdialog.cpp

debug/moc_rectifydialog.o: debug/moc_rectifydialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_rectifydialog.o debug\moc_rectifydialog.cpp

debug/moc_sgmdialog.o: debug/moc_sgmdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_sgmdialog.o debug\moc_sgmdialog.cpp

debug/moc_stereolab.o: debug/moc_stereolab.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_stereolab.o debug\moc_stereolab.cpp

debug/moc_viglarea.o: debug/moc_viglarea.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_viglarea.o debug\moc_viglarea.cpp

debug/moc_viareawidget.o: debug/moc_viareawidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_viareawidget.o debug\moc_viareawidget.cpp

debug/moc_matrixwidget.o: debug/moc_matrixwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\moc_matrixwidget.o debug\moc_matrixwidget.cpp

debug/qrc_main.o: debug/qrc_main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug\qrc_main.o debug\qrc_main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

